# Based_Pointer_Repository.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Singleton.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/os_include/os_stddef.h"`

Include dependency graph for Based_Pointer_Repository.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Based_Pointer_Repository
| Maps pointers to the base address of the region to which each pointer belongs. More...

## Functions

| ACE_SINGLETON_DECLARE (ACE_Singleton, ACE_Based_Pointer_Repository, ACE_SYNCH_RW_MUTEX) typedef ACE_Singleton< ACE_Based_Pointer_Repository
| Provide a Singleton access point to the based pointer repository.

## Variables

ACE_SYNCH_RW_MUTEX | ACE_BASED_POINTER_REPOSITORY

## Detailed Description

Id
  Based_Pointer_Repository.h,v 4.19 2006/02/10 09:23:40 jwillemsen Exp

Author:
  Dietrich Quehl <Dietrich.Quehl@med.siemens.de>

  Douglas C. Schmidt <schmidt@.cs.wustl.edu>

## Function Documentation

ACE_SINGLETON_DECLARE | ( | ACE_Singleton | ,
|  | ACE_Based_Pointer_Repository | ,
|  | ACE_SYNCH_RW_MUTEX |
| ) |

| Provide a Singleton access point to the based pointer repository.

## Variable Documentation

ACE_SYNCH_RW_MUTEX ACE_BASED_POINTER_REPOSITORY